GrailsCorsConfiguration (Grails 6.0.0)

Package: grails.web.mapping.cors

## [Groovy] Class GrailsCorsConfiguration

- grails.web.mapping.cors.GrailsCorsConfiguration

-     @groovy.transform.CompileStatic
      @org.springframework.boot.context.properties.ConfigurationProperties(prefix: grails.cors)
      class GrailsCorsConfiguration
      extends java.lang.Object

  A bean that stores config and converts it to the format expected by Spring

  Authors:
    James Kleeh
  Since:
    3.2.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Boolean` | `enabled` |
    `private GrailsDefaultCorsConfiguration` | `grailsCorsMapping` |
    `private java.util.Map<java.lang.String, java.lang.Object>` | `mappings` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Boolean` | `enabled`
    `GrailsDefaultCorsConfiguration` | `grailsCorsMapping`
    `java.util.Map<java.lang.String, java.lang.Object>` | `mappings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsCorsConfiguration ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Map<java.lang.String, org.springframework.web.cors.CorsConfiguration>` | `getCorsConfigurations()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.Boolean enabled

    - #### @groovy.lang.Delegate private GrailsDefaultCorsConfiguration grailsCorsMapping

    - #### private java.util.Map<java.lang.String, java.lang.Object> mappings

  - ### Property Detail

    - #### java.lang.Boolean enabled

    - #### @groovy.lang.Delegate GrailsDefaultCorsConfiguration grailsCorsMapping

    - #### java.util.Map<java.lang.String, java.lang.Object> mappings

  - ### Constructor Detail

    - #### GrailsCorsConfiguration()

  - ### Method Detail

    - #### java.util.Map<java.lang.String, org.springframework.web.cors.CorsConfiguration> getCorsConfigurations()